## python-openapi-spec-validator 0.7.1

=== Makefile ===
.EXPORT_ALL_VARIABLES:

PROJECT_NAME=openapi-spec-validator
PACKAGE_NAME=$(subst -,_,${PROJECT_NAME})
VERSION=`git describe --abbrev=0`

DOCKER_REGISTRY=pythonopenapi

PYTHONDONTWRITEBYTECODE=1

params:
	@echo "Project name: ${PROJECT_NAME}"
	@echo "Package name: ${PACKAGE_NAME}"
	@echo "Version: ${VERSION}"

dist-build:
	@python setup.py bdist_wheel

dist-cleanup:
	@rm -rf build dist ${PACKAGE_NAME}.egg-info

dist-upload:
	@twine upload dist/*.whl

test-python:
	@python setup.py test

test-cache-cleanup:
	@rm -rf .pytest_cache

reports-cleanup:
	@rm -rf reports

test-cleanup: test-cache-cleanup reports-cleanup

cleanup: dist-cleanup test-cleanup

docker-build:
	@docker build --no-cache --build-arg OPENAPI_SPEC_VALIDATOR_VERSION=${VERSION} -t ${PROJECT_NAME}:${VERSION} .

docker-tag:
	@docker tag ${PROJECT_NAME}:${VERSION} ${DOCKER_REGISTRY}/${PROJECT_NAME}:${VERSION}

docker-push:
	@docker push ${DOCKER_REGISTRY}/${PROJECT_NAME}:${VERSION}

=== debian/changelog ===
python-openapi-spec-validator (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Stop calling sphinx_rtd_theme.get_html_theme_path (closes: #1087789).

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Nov 2024 00:02:13 +0100

python-openapi-spec-validator (0.7.1-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove extraneous dependency on python3-mock

  [ Julian Gilbey ]
  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Jul 2024 13:50:02 +0100

python-openapi-spec-validator (0.7.1-1) unstable; urgency=medium

  [ Adam Cecile ]
  * Initial packaging work.

  [ Julian Gilbey ]
  * Initial release (Closes: #958024).

 -- Julian Gilbey <jdg@debian.org>  Thu, 27 Jun 2024 21:42:22 +0100

=== debian/control ===
Source: python-openapi-spec-validator
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>,
           Julian Gilbey <jdg@debian.org>,
           Andrius Merkys <merkys@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               help2man,
               pybuild-plugin-pyproject,
               python3-all,
               python3-jsonschema,
               python3-jsonschema-path,
               python3-lazy-object-proxy,
               python3-openapi-schema-validator,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/python-openapi/openapi-spec-validator
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-openapi-spec-validator
Vcs-Git: https://salsa.debian.org/python-team/packages/python-openapi-spec-validator.git
Rules-Requires-Root: no
Description: Validates OpenAPI Specs against 2.0, 3.0 and 3.1 standards
 This is a Python module that validates OpenAPI Specs against the
 OpenAPI 2.0 (aka Swagger), OpenAPI 3.0 and OpenAPI 3.1 specifications.
 The validator aims to check for full compliance with the Specification.

Package: python3-openapi-spec-validator
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-openapi-spec-validator-doc
Multi-Arch: foreign
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the library for Python 3 and a command line validation
 tool.

Package: python-openapi-spec-validator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-openapi-spec-validator
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=openapi-spec-validator
export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/.coverage {destdir}/{install_dir}/reports
export PYBUILD_TEST_ARGS = -m 'not network'

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) sphinx-build -W -b html docs docs/_build/html
endif

override_dh_installdocs:
	dh_installdocs -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installdocs --remaining-packages
	cp NOTICE debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc

execute_after_dh_auto_install:
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME) \
	  --no-info \
	  --section 1 \
          --version-string '$(DEB_VERSION_UPSTREAM)' \
	  --name "$(shell grep '^Description' debian/control | head -n 1 | cut -d: -f2)" \
	  > $(PYBUILD_NAME).1

execute_after_dh_auto_clean:
	rm -rf docs/_build
	rm -f openapi-spec-validator.1

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/python-openapi/openapi-spec-validator/tags?per_page=100 \
    https://api.github.com/repos/python-openapi/openapi-spec-validator/tarball/refs/tags/@ANY_VERSION@
